#-------------------------------------------------
#
# Project created by QtCreator 2015-10-28T15:27:14
#
#-------------------------------------------------

QT       += widgets sql

TARGET = accommodation
TEMPLATE = lib

DEFINES += ACCOMMODATION_LIBRARY

SOURCES += accommodation.cpp \
    data/person.cpp \
    accommodationservice.cpp \
    tablemodel.cpp \
    acform.cpp \
    accgrid.cpp \
    data/address.cpp

HEADERS += accommodation.h\
        accommodation_global.h \
    data/person.h \
    accommodationservice.h \
    tablemodel.h \
    acform.h \
    accgrid.h \
    data/address.h \
    data/accommodation-data.h

include(../config_plugin.pri)

OTHER_FILES += \
    accommodation.json

FORMS += \
    acform.ui

ODB_FILES = accommodation/data/accommodation-data.h
H_DIR = $$PWD/data/*.h
include(../odb.pri)

RESOURCES += \
    accrc.qrc

